Welcome to the HLC help!

Welcome to the HLC V1 help file! Here, you will find in-depth information on logo creation using the Halflife Logo Creator.

Please choose a topic:

Introduction to logos and WAD3

Using HLC

Advanced logo editing

Troubleshooting

Credits


An introduction to logos and WAD3

An intoduction to logos in Halflife

What are logos and how can I use them?
Logo's are bitmaps (.bmp) that you can 'spray' on levels in halflife (and mods like tfc, cs etc.). When you spray a logo, all other players playing in that level can see it. Not so long ago, only bitmaps of 2 colors could be used (1 color + 1 transparat color), but recently, some smart people found out that also colored bitmaps could be used, though they had to meet certain requirements:

- The bitmap must be 255 colors, the 256th color must be pure blue (RGB 0 0 255, pixels with this color will be transparant in the game)
- The width and height of the bitmap must be in increments of 16 pixels
- The total ammount of pixels (width * height) must be less than 12288 pixels

If a bitmap does meet these requirements, it doesn't mean you can put it in the logo diretory in your halflife directory, because logos in halflife are in the WAD3 format. It has to be converted to WAD3 first! Valve has released a Texture SDK, containing two nice programs called 'makels.exe' and 'qlumpy.exe'. Makels.exe is used to make a script file, which qlumpy.exe needs for creating a WAD3 file from a bitmap. So in theory, it goes like this:

bitmap ==> makels.exe == > script
script + bitmap == > qlumpy.exe == > WAD3 file containing the image from the bitmap

For advanced users, this is fairly easy. Both programs need a few commandline parameters, and they will abort automatically abort the process if the bitmap doesn't meet the above requirements.
For normal users who don't understand how the programs work, who don't have the Halflife texture SDK or users who want do to logo creation the easy way, HLC is created.

HLC provides an easy way for logo creation, and has a couple of benefits:

- No messing with scripts, and commandline programs like makels.exe and qlumpy.exe
- Easy to use interface
- Easy to understand error-messages if the bitmap doesn't meet the requirements
- Image editing options like: sharpen, smooth, and (auto)resizing
- Supports not only .bmp files but many more image file types!
- Atomatically copies the logo to the proper directory
- Advanced rezising methods
- Saving of logos and bitmaps
- Progress window, showing what HLC is doing
- Extensive documentation

HLC allows users to create a logo in just 2 seconds with one mouseclick!

Back to contents


Using HLC

Using the Halflife Logo Creator

Welcome to the HLC users guide! This guide will guide you through logo creation step by step.

Step 1: Opening a picture
Click the 'open' button, and the 'open image' dialog will appear:

Select a picture and press 'open'. The picture will now be loaded into HLC

Step 2: Resizing the image
To create a logo, your picture probably needs to be resized. because the logo has to meet certain requirements:

- Width * Height < 12288 Pixels
- Width & Height must be divisible by 16

To let HLC automatically resize your picture, press the 'autosize' button. HLC will now automatically resize your picture to a valid size.

To resize your picture manually, specify a new width and a new height. Valid sizes can be selected from the comboboxes:

The 'pixel' bar will turn red if the total pixel ammount (width * height) equals or exceeds 12288 pixels. If it's green, you're ready to go to the next step!

Image is too large: 240 * 80 = 19200 pixels

;
Image size is good: 144 * 80 = 11520 pixels

Note: If the image has valid sizes, and the pixelbar is green, you don't have to resize the image! Also, you can specify a 'resample filter' from the filters menu. If you don't know what resample filters do, leave it at 'Lanczos Filter'.

Step 3: Applying image transformations
If you find that your image is too dark or is very unsharp, you can use the image transformation buttons at the left:

;

Here's what each button does:

Sharpen: Increases the sharpness of your image.
Smooth: Blurs the edges of your image.
Brightness: Increases the brightness, which will result in a clearer image.
Contrast: This increases or decreases the contrast of your image.
Transparancy: Click this button to draw transparant areas on your image

Step 4: Selectig mods
To tell HLC what mods for half-life you play, check the appropriate checkbox:

;

If you play a different mod than cs or tfc, please select the 'save it to' option and browse to your desired save directory.

Step 5: Making the WAD!
This is the easy part: Press 'Make WAD' !

;
HLC will now use qlumpy.exe and make a WAD. It will automatically copy it into the appropriate directory for CounterStrike or Team Fortress Classic (if selected in step 4).

Step 6: Play and Spray!
Start halflife or your desired MOD and play! Don't go to the customize menu to select your logo! IT WILL NOT APPEAR THERE! Actually, if you try to select your logo, it will be overwritten with the standard Halflife logo.


Advanced logo editing
In this chapter, I will explain how to create the best quality logo you've ever seen!

Using the 'Directly make wad' option
First, you need to understand how HLC makes a WAD.
When you press the 'Make WAD' button, HLC performs a couple of actions on your image:

-Convert it to 256 color (using quantization / Floyd steinberg dithering)
-Convert it to 24 Bit colors
-Insert a Pure blue (R G B 0 0 255) pixel @ [1,1]
-Set the image palette to 256 colors

With all these conversions, image quality is degrading. However, these conversions are nescessary for images that haven't been edited in a image editing program to meet the following:
The image palette has to contain 256 colors, the last color being pure blue (R G B 0 0 255).
If a picture meets this requirement, above conversions are not nescessary! You can disable these in the options menu:

Check 'Directly make WAD' to disable the conversions.
WARNING: If you haven't set the last color of the image palette to pure blue, or the image contains more than 256 colors, your WAD will NOT work!

Using Transparancy
HLC 1.0 features a transparency editor, which allows the user to draw transparant areas on the image. Although still in beta stage, the transparancy editor provides a simple way to create a logo with transparant areas.
To open the transparancy editor, click the 'Transparancy' button.
;

Then the transparancy editor will popup:
;

The Transparancy editor uses a select tool which acts like the 'magic wand' in Adobe Photoshop. You should experiment with the settings a bit. I will write a chapter on this when the transparancy editor comes out of beta stage,

Using quantization and Floyd Steinberg dithering
 When HLC resizes a picture with for example 24 bit colors to 256 colors, many colors will be lost. To compensate this color loss, quantization and Floyd Steinberg dirhering can be used. Using these options, will tell HLC to calculate the mostly used colors in the picture and to use these colors in the final pallette, resulting in an image which has nearly the same colors as the original.
Of course, Quantization and Floyd Steinberg dithering won't be used when your picture is already in 256 colors.


Troubleshooting
When HLC doesn't work on your computer, read the following before contacting me!

Win9x, WinNT and WinME:
 HLC is designed for use under windows 9x and WinME. HLC might work under WinNT, though it is not tested nor supported.

You hear the 'spray sound' but your logo doesn't show up!
 This is caused by your videocard drivers, it is not caused by HLC! Although there's little you can do about this problem except trying to download the latest drivers, you can try the folowing:
in console, type:
gl_polyoffset 20 or gl_polyoffset 0
Also, switching between OpenGL and Direct3D might help.

When you spray your logo in HL, and only the HL logo appears! Wait a few rounds as it takes time to load your logo to the server and for the other players to download it from the server, after a few rounds it should be okay.

If you have read the above and still have problems using HLC, contact [CFS]Robster: hlc@cfsclan.com

Or you can post a message at the HLC forum: http://www.cfsforum.com


Credits

Programming and Coding: [CFS]Robster

Graphic Design + Website: [CFS]Poop-scoop

Help file: [CFS]Robster